# Interface CLNSectionReadableImage2DType

All Superinterfaces:
  `AutoCloseable, CLNSectionReadableStandardType, CLNSectionReadableType, Closeable`

All Known Implementing Classes:
  `CLN1SectionReadableImage2D`

public non-sealed interface CLNSectionReadableImage2DType extends CLNSectionReadableStandardType
A readable 2D image section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SeekableByteChannel`
  `mipMapDataRaw(CLNImage2DDescription description)`
  Obtain a readable channel that returns potentially compressed data.
  `ReadableByteChannel`
  `mipMapDataWithoutSupercompression(CLNImage2DDescription description)`
  Obtain a readable channel that returns decompressed data (that is, data with any supercompression removed).
  `List<CLNImage2DDescription>`
  `mipMapDescriptions()`

  ### Methods inherited from interface CLNSectionReadableType

  `description, fileSectionDescription, sectionDataChannel`

  ### Methods inherited from interface Closeable

  `close`

- ## Method Details

  - ### mipMapDescriptions

    List<CLNImage2DDescription> mipMapDescriptions() throws IOException
    Returns:
      The set of declared mipmaps
    Throws:
      `IOException` - On errors

  - ### mipMapDataWithoutSupercompression

    ReadableByteChannel mipMapDataWithoutSupercompression(CLNImage2DDescription description) throws IOException
    Obtain a readable channel that returns decompressed data (that is, data with any supercompression removed).
    Parameters:
      `description` - The image description
    Returns:
      A readable channel
    Throws:
      `IOException` - On I/O errors

  - ### mipMapDataRaw

    SeekableByteChannel mipMapDataRaw(CLNImage2DDescription description) throws IOException
    Obtain a readable channel that returns potentially compressed data. The bytes returned by the channel are not interpreted in any form, and are exactly as they appeared in the underlying file.
    Parameters:
      `description` - The image description
    Returns:
      A readable channel
    Throws:
      `IOException` - On I/O errors